// pages/sence/sence.js
var util = require('./../../utils/util.js');
var api = require('./../../config/api.js');
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    roomList: [],
    hasData: true,
    loading: false,
    isSearch: false,
    fetcherData: {
      type: null,
      address: '',
      page: 1,
      size: 20,
      name: ''
    }
  },
  inputChange(e) {
    this.setData({
      'fetcherData.name': e.detail.value,
    });
  },
  search() {
    if (this.data.fetcherData.name != '') {
      wx.showLoading({
        title: '加载中...',
      });
      this.setData({
        isSearch: true
      })
      this.searchRoomList()
    } else {
      if (this.data.isSearch) {
        this.setData({
          isSearch: false
        })
        this.searchRoomList()
      } else {
        // wx.showToast({
        //   title: '请输入VR场景名称',
        //   icon: 'none'
        // })
        wx.showLoading({
          title: '加载中...',
        });
        this.setData({
          isSearch: true
        })
        this.searchRoomList()
      }


    }

  },
  getRoomList() {

    if (this.data.hasData) {

      if (!this.data.loading) {

        this.setData({
          loading: true
        })
        wx.showLoading({
          title: '加载中...',
        })
        util.request(api.BrandList, this.data.fetcherData).then((res) => {
          this.setData({
            loading: false
          })
          if (res.errno === 0) {
            if (res.data.data.length != 0) {
              this.setData({
                roomList: this.data.roomList.concat(res.data.data),
                'fetcherData.page': this.data.fetcherData.page + 1
              })

            } else {
              this.setData({
                hasData: false
              })
            }
          }
        }).catch(err => {
          this.setData({
            loading: false
          })
        });
      }

    } else {
      console.log('没有更多数据')
    }

  },
  reloadData() {
    this.setData({
      hasData: true
    }, () => {
      this.getRoomList()
    })
  },
  searchRoomList() {
    if (!this.data.loading) {
      this.setData({
        loading: false
      })
      this.setData({
        'fetcherData.page': 1,
        'fetcherData.size': 100,
      })
      util.request(api.BrandList, this.data.fetcherData).then((res) => {
        this.setData({
          loading: false
        })
        wx.hideLoading()
        if (res.errno === 0) {
          this.setData({
            roomList: res.data.data,
          })

        }
      }).catch(err => {
        this.setData({
          loading: false
        })
      });
    }

  },
  gotoWV: function (event) {
    let {
      id
    } = event.detail
    wx.navigateTo({
      url: `/pages/webview/index?id=${id}&type=${this.data.fetcherData.type}`,
    })
    // wx.navigateTo({
    //   url: `/pages/webview/index?a=1046450_32_1_4370970_1`,
    // })
    // wx.navigateTo({
    //   url: `/pages/webview/index?id=1046450&type=32&join=true&roomId=4370970&many=true`,
    // })
    util.request(api.increaseViewCount, {
      brandId: id,
      type:this.data.fetcherData.type
    }, 'GET').then((res) => {

    });


  },
  storeGotoWv(event) {
    let {
      id,
      index
    } = event.detail
    wx.navigateTo({
      url: `/pages/webview/index?id=${id}&type=${this.data.fetcherData.type}`,
    })
    util.request(api.increaseViewCount, {
      brandId: id,
      type:this.data.fetcherData.type
    }, 'GET').then((res) => {
      var num = 'roomList[' + index + '].pvTotalNum'
      this.setData({
        [num]: res.data
      })
    });
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    getApp().checkNetStatu();
    console.log(options)
    this.setData({
      'fetcherData.type': options.type
    })
    if (options.type == 31) {
      wx.setNavigationBarTitle({
        title: '场景列表'
      })

    } else {
      wx.setNavigationBarTitle({
        title: '带看'
      })
    }
    this.getRoomList()

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if (!this.data.isSearch) {
      this.getRoomList()
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})